TBtreeStat._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TBtreeStat._Fields

- java.lang.Object
- - java.lang.Enum<TBtreeStat._Fields>
  - - com.sleepycat.thrift.TBtreeStat._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TBtreeStat._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TBtreeStat

      public static enum TBtreeStat._Fields
      extends java.lang.Enum<TBtreeStat._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUP_PAGES`
    `DUP_PAGES_FREE`
    `EMPTY_PAGES`
    `FREE`
    `INT_PAGES`
    `INT_PAGES_FREE`
    `LEAF_PAGES`
    `LEAF_PAGES_FREE`
    `LEVELS`
    `MAGIC`
    `META_FLAGS`
    `MIN_KEY`
    `NUM_BLOBS`
    `NUM_DATA`
    `NUM_KEYS`
    `OVER_PAGES`
    `OVER_PAGES_FREE`
    `PAGE_COUNT`
    `PAGE_SIZE`
    `RE_LEN`
    `RE_PAD`
    `VERSION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TBtreeStat._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TBtreeStat._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TBtreeStat._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TBtreeStat._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TBtreeStat._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DUP_PAGES

          public static final TBtreeStat._Fields DUP_PAGES

    - #### DUP_PAGES_FREE

          public static final TBtreeStat._Fields DUP_PAGES_FREE

    - #### EMPTY_PAGES

          public static final TBtreeStat._Fields EMPTY_PAGES

    - #### FREE

          public static final TBtreeStat._Fields FREE

    - #### INT_PAGES

          public static final TBtreeStat._Fields INT_PAGES

    - #### INT_PAGES_FREE

          public static final TBtreeStat._Fields INT_PAGES_FREE

    - #### LEAF_PAGES

          public static final TBtreeStat._Fields LEAF_PAGES

    - #### LEAF_PAGES_FREE

          public static final TBtreeStat._Fields LEAF_PAGES_FREE

    - #### LEVELS

          public static final TBtreeStat._Fields LEVELS

    - #### MAGIC

          public static final TBtreeStat._Fields MAGIC

    - #### META_FLAGS

          public static final TBtreeStat._Fields META_FLAGS

    - #### MIN_KEY

          public static final TBtreeStat._Fields MIN_KEY

    - #### NUM_BLOBS

          public static final TBtreeStat._Fields NUM_BLOBS

    - #### NUM_DATA

          public static final TBtreeStat._Fields NUM_DATA

    - #### NUM_KEYS

          public static final TBtreeStat._Fields NUM_KEYS

    - #### OVER_PAGES

          public static final TBtreeStat._Fields OVER_PAGES

    - #### OVER_PAGES_FREE

          public static final TBtreeStat._Fields OVER_PAGES_FREE

    - #### PAGE_COUNT

          public static final TBtreeStat._Fields PAGE_COUNT

    - #### PAGE_SIZE

          public static final TBtreeStat._Fields PAGE_SIZE

    - #### RE_LEN

          public static final TBtreeStat._Fields RE_LEN

    - #### RE_PAD

          public static final TBtreeStat._Fields RE_PAD

    - #### VERSION

          public static final TBtreeStat._Fields VERSION

  - ### Method Detail

    - #### values

          public static TBtreeStat._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TBtreeStat._Fields c : TBtreeStat._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TBtreeStat._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TBtreeStat._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TBtreeStat._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TBtreeStat._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.